QGIS Application - Feature request #1962

bigint types in graduated or continuos color symbology are not considered valid

2009-10-01 05:25 AM - Sandro Santilli
Easy fix?: No Copied to github as #: 12022
Description

While playing a bit with freegis country data r1 | found that qgis symbology manager
doesn't allow to use fields of type 'bigint' as classification fields for continuos color
or 'gradueted symbol'.

| haven't researched on whether the limitation also apply to other kind of types,
but | do see 'numeric' type is correctly handled.

This is 1.3.0 Mimas.

History

#1 - 2009-10-01 05:26 AM - Sandro Santilli

Forgot to mention the dataset source:
ftp://ftp.gwdg.de/pub/linux/intevation/freegis/worlddata/

#2 - 2009-10-01 05:35 AM - Sandro Santilli

Sorry, another thing | haven't specified is that data access is trough postgres.

That's where 'bigint' and 'numeric' come from.

To recap: 'numeric' and 'integer' are known to work, 'bigint' is not working.

#3 - 2009-10-01 05:52 AM - Sandro Santilli

additional note, the type query returns 'int8' as looks to be expected by code in qgspostgresprovider.cpp constructor.

#4 - 2009-10-01 06:55 AM - Sandro Santilli
int8_classify.patch fixes the problem in both 'graduated’ and 'continuos' thematizations.

reviews welcome.

#5 - 2009-10-01 07:04 AM - Tim Sutton
- Resolution set to fixed
- Status changed from Open to Closed
ftp://ftp.gwdg.de/pub/linux/intevation/freegis/worlddata/

Applied in commit:77c03ad4 (SVN r11741). Many thanks.

Files

int8_classify.patch 1.29 KB 2009-10-01 Sandro Santilli

2025-04-27 22



